Bug 225888 - databases/mysql56-client: Fails to build with OpenSSL 1.1
Summary: databases/mysql56-client: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mahdi Mokhtari
URL: https://github.com/mysql/mysql-server...
Keywords: needs-qa, patch
Depends on:
Blocks: 228865 231931
  Show dependency treegraph
 
Reported: 2018-02-14 12:35 UTC by Bernard Spil
Modified: 2018-10-19 11:57 UTC (History)
2 users (show)

See Also:
mmokhi: merge-quarterly?


Attachments
proposed patch for mysql56-client and mysql56-server (28.58 KB, patch)
2018-10-08 14:54 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-02-14 12:35:36 UTC
```
databases/mysql56-server: Unbreak with openssl-devel

 - Partial backport of Bug #25094892

PR:
```

From: https://github.com/mysql/mysql-server/commit/441b4af153059b259e628642a0a750d5dcffdd08
Comment 1 Bernard Spil freebsd_committer 2018-06-15 09:31:17 UTC
During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. The intent to update OpenSSL to 1.1 in 12 has now officially been documented in Bug #228912
Comment 2 Bernard Spil freebsd_committer 2018-06-15 10:09:27 UTC
Seems to build OK now? Some update to the port fixed this? -server is broken...

https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/mysql56-client-5.6.40.log
Comment 4 Antoine Brodin freebsd_committer 2018-10-07 09:11:53 UTC
It may be easier to backport the mysql-5.7 patch

https://github.com/mysql/mysql-server/commit/8d81f3b9f1449a7de19aa0b1e1cd7f0b85f56fc6
Comment 5 Antoine Brodin freebsd_committer 2018-10-08 14:54:41 UTC
Created attachment 197915 [details]
proposed patch for mysql56-client and mysql56-server

proposed patch, untested at runtime
Comment 6 Mahdi Mokhtari freebsd_committer freebsd_triage 2018-10-08 21:27:27 UTC
(In reply to Antoine Brodin from comment #5)
Hi Antoine,
Sorry for my late reply, I did back-ported/tested a patch yesterday (unfortunately forgot to update the thread here), but tested it both in real-env and clean-room (poudriere jail).
Would you mind if I commit that instead?
(basically pretty much same, both based on git-hub stuff, but I adopted changes I already made on MySQL57 myself too)
Comment 7 Antoine Brodin freebsd_committer 2018-10-09 06:09:13 UTC
(In reply to Mahdi Mokhtari from comment #6)
Thanks, if it compiles with both openssl 1.0 and 1.1.1 and it runs correctly please commit it.
Comment 8 commit-hook freebsd_committer 2018-10-09 07:50:18 UTC
A commit references this bug:

Author: mmokhi
Date: Tue Oct  9 07:49:28 UTC 2018
New revision: 481608
URL: https://svnweb.freebsd.org/changeset/ports/481608

Log:
  databases/mysql56-{client, server}: Fix build with OpenSSL1.1.x
  This is the backport of fix on mysql57

  PR:		225888
  Reported by:	brnrd
  Reviewed by:	antoine
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/databases/mysql56-client/Makefile
  head/databases/mysql56-server/Makefile
  head/databases/mysql56-server/files/patch-PR225888.diff
  head/databases/mysql56-server/files/patch-mysys__ssl_my__aes__openssl.cc
  head/databases/mysql56-server/files/patch-vio_viosslfactories.c
Comment 9 Mahdi Mokhtari freebsd_committer freebsd_triage 2018-10-09 07:52:53 UTC
Thanks everybody for helping on this.
I will ask portsecteam or portmgr for MFH
Comment 10 commit-hook freebsd_committer 2018-10-19 11:57:06 UTC
A commit references this bug:

Author: antoine
Date: Fri Oct 19 11:56:08 UTC 2018
New revision: 482423
URL: https://svnweb.freebsd.org/changeset/ports/482423

Log:
  MFH: r481608 r481848

  databases/mysql56-{client, server}: Fix build with OpenSSL1.1.x
  This is the backport of fix on mysql57

  PR:		225888
  Reported by:	brnrd
  Reviewed by:	antoine
  Sponsored by:	The FreeBSD Foundation

  databases/mysql56-server: Fix build with libressl after r481608

  PR:		228899
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Reported by:	brnrd
  Sponsored by:	The FreeBSD Foundation

Changes:
_U  branches/2018Q4/
  branches/2018Q4/databases/mysql56-client/Makefile
  branches/2018Q4/databases/mysql56-server/Makefile
  branches/2018Q4/databases/mysql56-server/files/patch-PR225888.diff
  branches/2018Q4/databases/mysql56-server/files/patch-mysys__ssl_my__aes__openssl.cc
  branches/2018Q4/databases/mysql56-server/files/patch-vio_viosslfactories.c